import { SimpleLocalClient } from '../../core/index.js';
import type { IGuardianConfig } from './guardian.types.js';
import { guardianProfile } from './guardian.types.js';

export class GuardianClient extends SimpleLocalClient<IGuardianConfig> {
  constructor(configArg: IGuardianConfig) {
    super(guardianProfile, configArg);
  }
}
